Subject: Re: Run git from .bat file (Windows)

From: Markus Heller <[email-masked]>
Date: Tue, 20 Jul 2010 11:44:00 -0700

Peter Harris <[email-masked]> writes:

> On Tue, Jul 20, 2010 at 12:34 PM, Markus Heller wrote:
>> git add .
>> git commit -a -m "Automated commit by org-git-sync.bat on %fvar%"
>
>> The line "git add ." works, as I can see the additions when I type "git
>> status" after executing the script.  Committing doesn't work, however:
>> "git log" shows that no commit was created.
>>
>> Any idea what's going on?
>
> git itself is wrapped by a batch file on Windows. You need to "call" it. eg:
>
> call git add .
> call git commit ...

Ah, I wasn't aware of this!!

Thanks for your reply, works as advertised!!

Cheers
Markus